libmpq(3)

NAME
libmpq - cross-platform C library for manipulating mpq archives.

SYNOPSIS
#include <mpq.h>

int32_t libmpq__archive_version(
        mpq_archive_s  *mpq_archive,
        uint32_t       *version
);

DESCRIPTION

Call libmpq__archive_version() to get the archive version. Currently there exist two known versions, version 1 which supports archives until 2GB total size and version 2 which supports archives above 2GB total size and both are supported.

The libmpq__archive_version() function takes as first argument the archive structure mpq_archive which have to be allocated first and opened by libmpq__archive_open(). The second argument is a reference to the version of archive.

RETURN VALUE
On success, a zero is returned.

AUTHOR
Check documentation.

libmpq is (c) 2003-2011
    Maik Broemme <mbroemme@libmpq.org>

The above e-mail address can be used to send bug reports, feedbacks or library enhancements.